You are not logged in.

#1 2020-05-03 18:22:14

W1F3B34T3R
Member
Registered: 2020-04-06
Posts: 4

MegaSync Desktop app isn't working anymore after the update.

Today i started my computer and i found that my megasync desktop app didn't start on it's own so i tried staring it using terminal and found this output

megasync: error while loading shared libraries: libicuuc.so.65: cannot open shared object file: No such file or directory

Then i tried the top rated comment on this post https://unix.stackexchange.com/question … red-object Obviously it didn't work because it was missing the libicuuc.so.65 file in the cached archive. Please help me fix this problem.

Offline

#2 2020-05-03 19:36:36

Zod
Member
From: Hoosiertucky
Registered: 2019-03-10
Posts: 343

Re: MegaSync Desktop app isn't working anymore after the update.

Offline

#3 2020-05-07 22:09:57

Warper
Member
From: Quito, Ecuador
Registered: 2008-04-08
Posts: 47

Re: MegaSync Desktop app isn't working anymore after the update.

It seems like the problem resides in an updated package that megasync is expecting to be an older version.
I found that the version in AUR is the latest so I don't think we will get an updated PKGBUILD soon.

What I did is to create a link to the the new package with the name of the old package, this way megasync satisfies its dependency and works.

the comand I used was:

sudo ln /usr/lib/libicuuc.so.67.1 /usr/lib/libicuuc.so.65

I don't think this is a clean solution but works for the time being.

Don't know if anyone else has another solution?

Regards,
Warper

Offline

#4 2020-05-07 22:25:04

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,242

Re: MegaSync Desktop app isn't working anymore after the update.

The icu package was updated on May 1. It is your responsibility to update any AUR packages that depend on it. Read the notes on the megasync AUR page.

https://aur.archlinux.org/packages/megasync/
https://www.archlinux.org/packages/core/x86_64/icu/

symlinking the new icu library is a very bad idea.

https://wiki.archlinux.org/index.php/Sy … nsupported

Offline

#5 2020-05-07 22:56:35

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 23,948
Website

Re: MegaSync Desktop app isn't working anymore after the update.

Warper wrote:

I found that the version in AUR is the latest so I don't think we will get an updated PKGBUILD soon.

There is no need for an update PKGBUILD

Warper wrote:

Don't know if anyone else has another solution?

Zod has another solution, and it's the correct one.  It might help if you actually read it.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

#6 2020-05-07 23:53:55

Warper
Member
From: Quito, Ecuador
Registered: 2008-04-08
Posts: 47

Re: MegaSync Desktop app isn't working anymore after the update.

Trilby wrote:

Zod has another solution, and it's the correct one.  It might help if you actually read it.

I did read it. This is the first note:

Note: The AUR is unsupported, so any packages you install are your responsibility to update, not pacman's.
If packages in the official repositories are updated, you will need to rebuild any AUR packages that depend on those libraries.

It says that the package needs to be rebuilt or reinstalled which I did, but the problem is one of the dependencies.

2ManyDogs wrote:

Read the notes on the megasync AUR page.

https://aur.archlinux.org/packages/megasync/

This note wasn't there when I read it two days ago.

edacval commented on 2020-05-06 16:54	
@acp0112 just rebuild and reinstall libpdfium/libpdfium-nojs, before building megasync

I tried it and it worked.

Obviously I removed the link before that.

Now megasync works again

Offline

#7 2020-05-08 00:12:40

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 23,948
Website

Re: MegaSync Desktop app isn't working anymore after the update.

wiki wrote:

Note: The AUR is unsupported, so any packages you install are your responsibility to update, not pacman's.
If packages in the official repositories are updated, you will need to rebuild any AUR packages that depend on those libraries.

Warper wrote:

It says that the package needs to be rebuilt or reinstalled which I did, but the problem is one of the dependencies.

It says to rebuild all AUR packages, you had only rebuilt one.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

Board footer

Powered by FluxBB